package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.IToolService;
import cn.estsh.i3plus.pojo.platform.bean.Tool;
import cn.estsh.i3plus.pojo.platform.repository.ToolRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description : 硬件服务接口实现
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 20:29
 * @Modify :
 **/
@Service
public class ToolServiceImpl implements IToolService {
    public static final Logger LOGGER = LoggerFactory.getLogger(ToolServiceImpl.class);

    @Autowired
    private ToolRepository toolRDao;

    @Override
    public void insertTool(Tool tool) {
        LOGGER.info("硬件 TOOL :{}",tool);
        toolRDao.insert(tool);
    }

    @Override
    public void deleteToolById(String id) {
        LOGGER.info("硬件 TOOL id:{}",id);
        toolRDao.deleteById(Long.parseLong(id));
    }

    @Override
    public void updateTool(Tool tool) {
        LOGGER.info("硬件 TOOL :{}",tool);
        toolRDao.update(tool);
    }

    @Override
    public List<Tool> findToolAll() {
        LOGGER.info("硬件 TOOL find-all");
        return toolRDao.findAll();
    }

    @Override
    public Tool getToolById(String id) {
        LOGGER.info("硬件 TOOL id:{}",id);
        return toolRDao.getById(Long.parseLong(id));
    }
}
